package com.macro.mall.tiny.modules.business.controller;

import com.macro.mall.tiny.common.api.CommonResult;
import com.macro.mall.tiny.modules.business.dto.WeatherParam;
import com.macro.mall.tiny.modules.business.model.Weather;
import com.macro.mall.tiny.modules.business.service.CommonService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author gjs
 * @description
 * @date 2021/4/11 20:10
 */
@RestController
@Api(tags = "CommonController", description = "提供公共类相关API")
@RequestMapping("/common")
public class CommonController {

    @Autowired
    private CommonService commonService;

    @ApiOperation("根据经纬度获取实时天气")
    @RequestMapping(value = "/waether", method = RequestMethod.GET)
    @ResponseBody
    public CommonResult<Weather> getWeather(@Validated WeatherParam weatherParam) {
        String lat = weatherParam.getLat();
        String lon = weatherParam.getLon();
        return CommonResult.success(commonService.getWeather(lat, lon));
    }

}
