package com.macro.mall.tiny.modules.business.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.macro.mall.tiny.common.api.CommonResult;
import com.macro.mall.tiny.modules.business.model.KrBRegionCity;
import com.macro.mall.tiny.modules.business.model.KrBTower;
import com.macro.mall.tiny.modules.business.service.KrBRegionCityService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.websocket.server.PathParam;
import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author macro
 * @since 2021-09-07
 */
@RestController
@Api(tags = "KrBRegionCityController", description = "城市管理")
@RequestMapping("/city")
public class KrBRegionCityController {

    @Autowired
    private KrBRegionCityService krBRegionCityService;

    @ApiOperation("获取城市列表")
    @RequestMapping(value = "/list", method = RequestMethod.GET)
    @ResponseBody
    public CommonResult<List<KrBRegionCity>> list(@RequestParam @PathParam(value = "provinceId") String provinceId) {
        List<KrBRegionCity> cityList = krBRegionCityService.getCityListByprovince(provinceId);
        return CommonResult.success(cityList);
    }
}

