package com.macro.mall.tiny.modules.business.controller;


import com.macro.mall.tiny.common.api.CommonResult;
import com.macro.mall.tiny.modules.business.model.BFile;
import com.macro.mall.tiny.modules.business.model.KrBTower;
import com.macro.mall.tiny.modules.business.service.KrBTowerService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 塔表 前端控制器
 * </p>
 *
 * @author macro
 * @since 2021-03-24
 */
@RestController
@RequestMapping("/tower")
@Api(tags = "KrBTowerController", description = "提供电塔相关API")
public class KrBTowerController {

    @Autowired
    KrBTowerService krBTowerService;

    @ApiOperation("获取电塔基本资料")
    @RequestMapping(value = "/{id}", method = RequestMethod.GET)
    @ResponseBody
    public CommonResult<KrBTower> getItem(@PathVariable Long id) {
        KrBTower tower = krBTowerService.getById(id);
        return CommonResult.success(tower);
    }

    @ApiOperation("获取电塔文件资料")
    @RequestMapping(value = "/getFile/{id}", method = RequestMethod.GET)
    @ResponseBody
    public CommonResult<Map<String, List<BFile>>> getFile(@PathVariable Long id) {
        Map<String, List<BFile>> data = krBTowerService.getFile(id);
        return CommonResult.success(data);
    }

}

