package com.macro.mall.tiny.modules.business.model;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class TowerExcelModel extends BaseRowModel implements Serializable {

    @ExcelProperty(value = "杆塔序号（对应机器巡检方案号）", index = 0)
    private Integer towerIndex;

    @ExcelProperty(value = "杆塔名称", index = 1)
    private String towerName;

    @ExcelProperty(value = "杆塔编号（SDG-18，SZT1-24等）", index = 2)
    private String towerNumber;

    @ExcelProperty(value = "金具串型号", index = 3)
    private String hardwareType = "";

    @ExcelProperty(value = "杆塔设备坐标", index = 4)
    private String lonLat;

    @ExcelProperty(value = "杆塔性质（直线塔、耐张塔）", index = 5)
    private String type = "";

    @ExcelProperty(value = "是否为太阳能基站塔", index = 6)
    private String isStation = "否";

    @ExcelProperty(value = "是否为微气象杆塔", index = 7)
    private String isWeather = "否";

    @ExcelProperty(value = "杆塔回路（单回/双回/四回/六回）", index = 8)
    private String circuit = "";

    @ExcelProperty(value = "杆塔高度，单位m", index = 9)
    private Double height = 0d;

    @ExcelProperty(value = "杆塔呼高，单位m", index = 10)
    private Double practicalHeight = 0d;

    @ExcelProperty(value = "转角方向（左/右/否）否为无转角", index = 11)
    private String cornerDirection = "";

    @ExcelProperty(value = "转角角度", index = 12)
    private String cornerNumber = "";

    @ExcelProperty(value = "档距", index = 13)
    private Double span = 0d;

    @ExcelProperty(value = "投运时间", index = 14)
    private Date serviceBegintime;

    @ExcelProperty(value = "备注说明", index = 15)
    private String remark = "";
}