package com.macro.mall.tiny.modules.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.macro.mall.tiny.modules.business.model.KrBRegionCity;
import com.macro.mall.tiny.modules.business.mapper.KrBRegionCityMapper;
import com.macro.mall.tiny.modules.business.model.KrBTower;
import com.macro.mall.tiny.modules.business.service.KrBRegionCityService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author macro
 * @since 2021-09-07
 */
@Service
public class KrBRegionCityServiceImpl extends ServiceImpl<KrBRegionCityMapper, KrBRegionCity> implements KrBRegionCityService {

    @Autowired
    private KrBRegionCityMapper krBRegionCityMapper;

    @Override
    public List<KrBRegionCity> getCityListByprovince(String provinceId) {
        QueryWrapper<KrBRegionCity> cityQueryWrapper = new QueryWrapper<>();
        cityQueryWrapper.lambda().eq(KrBRegionCity::getProvinceId, provinceId);
        List<KrBRegionCity> cities = krBRegionCityMapper.selectList(cityQueryWrapper);
        return cities;
    }
}
